FWStruct::ZoneHeader Struct Reference

a structure used to store the data of a zone header in a FullWrite file More...

`#include <FWStruct.hxx>`

Inheritance diagram for FWStruct::ZoneHeader:

## Public Member Functions

| ZoneHeader ()
| constructor More...
virtual | ~ZoneHeader ()
| destructor More...
bool | read (shared_ptr< FWStruct::Entry > zone)
| try to read the data header of a classical zone More...

## Public Attributes

int | m_type
| the zone type More...
int | m_docId
| the doc id More...
int | m_fileId
| the file id More...
int | m_wrapping
| the wrapping type More...
std::string | m_extra
| some extra data More...

## Friends

std::ostream & | operator<< (std::ostream &o, ZoneHeader const &dt)
| the operator<< More...

## Detailed Description

a structure used to store the data of a zone header in a FullWrite file

## Constructor & Destructor Documentation

FWStruct::ZoneHeader::ZoneHeader | ( |  | ) |

inline

constructor

virtual FWStruct::ZoneHeader::~ZoneHeader | ( |  | ) |

inline virtual

destructor

## Member Function Documentation

bool FWStruct::ZoneHeader::read | ( | shared_ptr< FWStruct::Entry > | zone | ) |

try to read the data header of a classical zone

Referenced by FWParser::readDocZoneData(), FWParser::readGenericDocData(), and FWGraph::readGraphicData().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | ZoneHeader const & | dt
| ) |  |

friend

the operator<<

## Member Data Documentation

int FWStruct::ZoneHeader::m_docId

the doc id

Referenced by FWStruct::operator<<(), read(), and FWParser::readDocZoneData().

std::string FWStruct::ZoneHeader::m_extra

some extra data

Referenced by FWStruct::operator<<(), and read().

int FWStruct::ZoneHeader::m_fileId

the file id

Referenced by FWStruct::operator<<(), read(), and FWGraph::sendSideBar().

int FWStruct::ZoneHeader::m_type

the zone type

Referenced by FWStruct::operator<<(), read(), FWParser::readDocZoneData(), FWParser::readGenericDocData(), FWGraph::readGraphicData(), and FWGraph::readSideBar().

int FWStruct::ZoneHeader::m_wrapping

the wrapping type

Referenced by FWStruct::operator<<(), read(), and FWGraph::sendSideBar().

The documentation for this struct was generated from the following files:

- FWStruct.hxx
- FWStruct.cxx